      subroutine var_initialize
      use variables

      allocate (enpoteach(n),enkineach(n))

      allocate (vx(n),vy(n),vz(n)) ! Velocities
      allocate (fx(n),fy(n),fz(n)) ! Forces
      allocate (qx(n),qy(n),qz(n)) ! Normalized positions

      allocate (ax(n),ay(n),az(n)) ! Accerelations (Second derivatives)
      allocate (bx(n),by(n),bz(n)) ! Third derivatives
      allocate (cx(n),cy(n),cz(n)) ! Fourth derivatives

      s=1.0d0; sv=0.0d0; sa=0.0d0; sb=0.0d0; sc=0.0d0
      vv=0.0d0; va=0.0d0; vb=0.0d0; vc=0.0d0
      hvmat=0.0d0; hamat=0.0d0; hbmat=0.0d0; hcmat=0.0d0; dmat=0.0d0

!   MATRICES AND VARIABLES INITIALIZATION
      px=0.0d0; py=0.0d0; pz=0.0d0
      fx=0.0d0; fy=0.0d0; fz=0.0d0
      vx=0.0d0; vy=0.0d0; vz=0.0d0

      ax=0.0d0; ay=0.0d0; az=0.0d0
      bx=0.0d0; by=0.0d0; bz=0.0d0
      cx=0.0d0; cy=0.0d0; cz=0.0d0

      enk=0.0d0

!   Initialize hmat, hinmat
      call inverse(hmat,hinmat)

!   Volume of cell
      call calcvolume
!   q{x,y,z}
      call mkq

!   for msd
      if (diffusion) then
         rxd=0.0; ryd=0.0; rzd=0.0
      endif

      end
